/Users/bernard/b20/bsoft/src/rwparam/rwmgSTAR.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwparam/rwmgSTAR.cpp - Library routines to read and write micrograph parameters in STAR format.

SYNOPSIS

#include 'mg_processing.h'
#include 'rwmgSTAR.h'
#include 'rwstar.h'
#include 'mg_tags.h'
#include 'linked_list.h'
#include 'utilities.h'

  Functions
int star_to_project (Bstar *star, Bproject *project)
int project_to_star (Bproject *project, Bstar *star, int mg_select, int rec_select)
int read_project_star (Bstring &filename, Bproject *project)
Reading micrograph parameters from STAR files.
int write_project_star (const char *filename, Bproject *project, int mg_select, int rec_select)
Writing micrograph parameters to a STAR file.
int write_project_star (Bstring &filename, Bproject *project, int mg_select, int rec_select)
int mg_star_update_tags (Bstar *star)
Replacing old STAR tags with new ones.
Bframe * frame_from_starblock (Bstar_block *block)
Bparticle * particle_from_starblock (Bstar_block *block, FOMType fom_tag[NFOM])
Bfilament * filament_from_starblock (Bstar_block *block)
Bbadarea * badarea_from_starblock (Bstar_block *block)
Bmarker * marker_from_starblock (Bstar_block *block)
Bstrucfac * strucfac_from_starblock (Bstar_block *block)
Blayerline * layerline_from_starblock (Bstar_block *block)
CTFparam * ctf_from_starblock (Bstar_block *block)
Bmicrograph * micrograph_from_starblock (Bstar_block *block, Bstring &mg_id, FOMType fom_tag[NFOM])
Breconstruction * reconstruction_from_starblock (Bstar_block *block, FOMType fom_tag[NFOM])
int item_put_filament_list (Bstar_block *block, const char *tag, Bfilament *fil, const char *format)
int frame_to_starblock (Bframe *frame, Bstar_block *block)
int particle_to_starblock (Bparticle *part, Bstar_block *block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)
int badarea_to_starblock (Bbadarea *bad, Bstar_block *block)
int filament_to_starblock (Bfilament *fil, Bstar_block *block)
int marker_to_starblock (Bmarker *mark, Bstar_block *block)
int strucfac_to_starblock (Bstrucfac *sf, Bstar_block *block)
int layerline_to_starblock (Blayerline *line, Bstar_block *block)
int ctf_to_starblock (CTFparam *ctf, Bstar_block *block)
int micrograph_to_starblock (Bmicrograph *mg, Bstar_block *block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)
int reconstruction_to_starblock (Breconstruction *rec, Bstar_block *block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)

  Variables
int verbose

Detailed Description

Library routines to read and write micrograph parameters in STAR format.

Author:
    Bernard Heymann

Date:
    Created: 20010206

    Modified: 20190823

Definition in file rwmgSTAR.cpp.

Function Documentation

  Bbadarea* badarea_from_starblock (Bstar_block * block)

Definition at line 345 of file rwmgSTAR.cpp.

  int badarea_to_starblock (Bbadarea * bad, Bstar_block * block)

Definition at line 1182 of file rwmgSTAR.cpp.

  CTFparam* ctf_from_starblock (Bstar_block * block)

Definition at line 558 of file rwmgSTAR.cpp.

  int ctf_to_starblock (CTFparam * ctf, Bstar_block * block)

Definition at line 1309 of file rwmgSTAR.cpp.

  Bfilament* filament_from_starblock (Bstar_block * block)

Definition at line 295 of file rwmgSTAR.cpp.

  int filament_to_starblock (Bfilament * fil, Bstar_block * block)

Definition at line 1198 of file rwmgSTAR.cpp.

  Bframe* frame_from_starblock (Bstar_block * block)

Definition at line 132 of file rwmgSTAR.cpp.

  int frame_to_starblock (Bframe * frame, Bstar_block * block)

Definition at line 1049 of file rwmgSTAR.cpp.

  int item_put_filament_list (Bstar_block * block, const char * tag, Bfilament * fil, const char * format)

Definition at line 1009 of file rwmgSTAR.cpp.

  Blayerline* layerline_from_starblock (Bstar_block * block)

Definition at line 509 of file rwmgSTAR.cpp.

  int layerline_to_starblock (Blayerline * line, Bstar_block * block)

Definition at line 1284 of file rwmgSTAR.cpp.

  Bmarker* marker_from_starblock (Bstar_block * block)

Definition at line 377 of file rwmgSTAR.cpp.

  int marker_to_starblock (Bmarker * mark, Bstar_block * block)

Definition at line 1214 of file rwmgSTAR.cpp.

  int mg_star_update_tags (Bstar * star)

Replacing old STAR tags with new ones.

Parameters:
    *star STAR database.

Returns:
    int 0.

Definition at line 83 of file rwmgSTAR.cpp.

  Bmicrograph* micrograph_from_starblock (Bstar_block * block, Bstring & mg_id, FOMType fom_tag[NFOM])

Definition at line 602 of file rwmgSTAR.cpp.

  int micrograph_to_starblock (Bmicrograph * mg, Bstar_block * block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)

Definition at line 1337 of file rwmgSTAR.cpp.

  Bparticle* particle_from_starblock (Bstar_block * block, FOMType fom_tag[NFOM])

Definition at line 164 of file rwmgSTAR.cpp.

  int particle_to_starblock (Bparticle * part, Bstar_block * block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)

Definition at line 1070 of file rwmgSTAR.cpp.

  int project_to_star (Bproject * project, Bstar * star, int mg_select, int rec_select)

Definition at line 1530 of file rwmgSTAR.cpp.

  int read_project_star (Bstring & filename, Bproject * project)

Reading micrograph parameters from STAR files.

Parameters:
    &filename file name (or comma-delimited list).
    *project initialized project structure.

Returns:
    int error code (<0 means failure).

Definition at line 29 of file rwmgSTAR.cpp.

  Breconstruction* reconstruction_from_starblock (Bstar_block * block, FOMType fom_tag[NFOM])

Definition at line 727 of file rwmgSTAR.cpp.

  int reconstruction_to_starblock (Breconstruction * rec, Bstar_block * block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)

Definition at line 1438 of file rwmgSTAR.cpp.

  int star_to_project (Bstar * star, Bproject * project)

Definition at line 867 of file rwmgSTAR.cpp.

  Bstrucfac* strucfac_from_starblock (Bstar_block * block)

Definition at line 440 of file rwmgSTAR.cpp.

  int strucfac_to_starblock (Bstrucfac * sf, Bstar_block * block)

Definition at line 1247 of file rwmgSTAR.cpp.

  int write_project_star (const char * filename, Bproject * project, int mg_select, int rec_select)

Writing micrograph parameters to a STAR file.

Parameters:
    &filename file name.
    *project project structure.
    mg_select flag to only write selected micrographs.
    rec_select flag to only convert selected reconstructions.

Returns:
    int error code (<0 means failure).

Definition at line 56 of file rwmgSTAR.cpp.

  int write_project_star (Bstring & filename, Bproject * project, int mg_select, int rec_select)

Definition at line 62 of file rwmgSTAR.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.